Subject: [Sigtran] M3UA-v02 Last Call Comment: Indentation under Notify.

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 7 May 2004 20:16:39 -0600

Indentation and reformatting under 3.8.2. Notify make comments appear
to apply to all NTFY message type rather than just Status Other.  Also
there appears no reason for the reformatting of the text.

Also, the ASP Identifier is not really optional as there are conditions
under which it MUST be placed in the message.  It more closely corresponds
to what we are now calling "Conditional".

The offending passages are:

|3.8.2 Notify
|
|   The Notify message used to provide an autonomous indication of M3UA
|   events to an M3UA peer.
|
|   The Notify message contains the following parameters:
|
|      Status                     Mandatory
|      ASP Identifier             Optional
|      Routing Context            Optional
|      INFO String                Optional
|
|   ...
|
|   Status Information: 16-bits (unsigned integer)
|
|      The Status Information parameter contains more detailed
|      information for the notification, based on the value of the Status
|      Type. If the Status Type is AS-State_Change the following Status
|      Information values are used:
|
|         1    reserved
|         2    Application Server Inactive (AS-INACTIVE)
|         3    Application Server Active (AS-ACTIVE)
|         4    Application Server Pending (AS-PENDING)
|
|      These notifications are sent from an SGP to an ASP upon a change
|      in status of a particular Application Server. The value reflects
|      the new state of the Application Server.
|
|      If the Status Type is Other, then the following Status Information
|      values are defined:
|
|         1    Insufficient ASP Resources Active in AS
|         2    Alternate ASP Active
|         3    ASP Failure
|
|   These notifications are not based on the SGP reporting the state
|   change of an ASP or AS.
|
|   - In the Insufficient ASP Resources case, the SGP is indicating to an
|     ASP_INACTIVE ASP in the AS that another ASP is required to handle
|     the load of the AS (Loadsharing or Broadcast mode).
|
|   - For the Alternate ASP Active case, an ASP is informed when an
|     alternate ASP transitions to the ASP-ACTIVE state in Override mode.
|     The ASP Identifier (if available) of the Alternate ASP MUST be
|     placed in the message.
|
|   - For the ASP Failure case, the SGP is indicating to ASP(s) in the AS
|     that one of the ASPs has failed. The ASP Identifier (if available)
|     of the failed ASP MUST be placed in the message.
|
|   The format and description of the optional ASP Identifier is the same
|   as for the ASP Up message (See Section 3.5.1).  The format and
|   description of the Routing Context and Info String parameters is the
|   same as for the ASP Active message (See Section 3.7.1)

Change to: (note indentation change)

>      ASP Identifier             Conditional

and

>      These notifications are not based on the SGP reporting the state
>      change of an ASP or AS.  In the Insufficient ASP Resources case,
>      the SGP is indicating to an ASP_INACTIVE ASP in the AS that
>      another ASP is required to handle the load of the AS (Loadsharing
>      or Broadcast mode). For the Alternate ASP Active case, an ASP is
>      informed when an alternate ASP transitions to the ASP-ACTIVE state
>      in Override mode.  The ASP Identifier (if available) of the
>      Alternate ASP MUST be placed in the message.  For the ASP Failure
>      case, the SGP is indicating to ASP(s) in the AS that one of the
>      ASPs has transitioned to ASP-DOWN.  The ASP Identifier (if
>      available) of the failed ASP MUST be placed in the message.
>
>   The format and description of the conditional ASP Identifier is the
>   same as for the ASP Up message (See Section 3.5.1).  The format and
>   description of the Routing Context and Info String parameters is the
>   same as for the ASP Active message (See Section 3.7.1)

--brian

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran